Zum Hauptinhalt springen
POST
/
crm
/
lists
/
2026-03
cURL
curl --request POST \
  --url https://api.hubapi.com/crm/lists/2026-03 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "objectTypeId": "<string>",
  "processingType": "<string>",
  "customProperties": {},
  "filterBranch": {
    "filterBranchOperator": "<string>",
    "filterBranchType": "OR",
    "filterBranches": [
      {
        "filterBranchOperator": "<string>",
        "filterBranchType": "AND",
        "filterBranches": "<array>",
        "filters": [
          {
            "filterType": "PROPERTY",
            "operation": {
              "includeObjectsWithNoValueSet": true,
              "operationType": "BOOL",
              "operator": "<string>",
              "value": true
            },
            "property": "<string>"
          }
        ]
      }
    ],
    "filters": [
      {
        "filterType": "PROPERTY",
        "operation": {
          "includeObjectsWithNoValueSet": true,
          "operationType": "BOOL",
          "operator": "<string>",
          "value": true
        },
        "property": "<string>"
      }
    ]
  },
  "listFolderId": 123,
  "membershipSettings": {
    "includeUnassigned": true,
    "membershipTeamId": 123
  }
}
'
{
  "list": {
    "listId": "<string>",
    "listVersion": 123,
    "name": "<string>",
    "objectTypeId": "<string>",
    "processingStatus": "<string>",
    "processingType": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "createdById": "<string>",
    "deletedAt": "2023-11-07T05:31:56Z",
    "filterBranch": {
      "filterBranchOperator": "<string>",
      "filterBranchType": "OR",
      "filterBranches": [
        {
          "filterBranchOperator": "<string>",
          "filterBranchType": "AND",
          "filterBranches": "<array>",
          "filters": [
            {
              "filterType": "PROPERTY",
              "operation": {
                "includeObjectsWithNoValueSet": true,
                "operationType": "BOOL",
                "operator": "<string>",
                "value": true
              },
              "property": "<string>"
            }
          ]
        }
      ],
      "filters": [
        {
          "filterType": "PROPERTY",
          "operation": {
            "includeObjectsWithNoValueSet": true,
            "operationType": "BOOL",
            "operator": "<string>",
            "value": true
          },
          "property": "<string>"
        }
      ]
    },
    "filtersUpdatedAt": "2023-11-07T05:31:56Z",
    "listPermissions": {
      "teamsWithEditAccess": [
        123
      ],
      "usersWithEditAccess": [
        123
      ]
    },
    "membershipSettings": {
      "includeUnassigned": true,
      "membershipTeamId": 123
    },
    "size": 123,
    "updatedAt": "2023-11-07T05:31:56Z",
    "updatedById": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
name
string
erforderlich

Der Name der Liste, der für alle öffentlichen Listen im Portal global eindeutig sein muss.

objectTypeId
string
erforderlich

Die Objekttyp-ID des Objekts, das die Liste speichern wird.

processingType
string
erforderlich

Der Verarbeitungstyp der Liste. Einer dieser Werte: „SNAPSHOT“, „MANUAL“ oder „DYNAMIC“.

customProperties
object

Die Liste der benutzerdefinierten Eigenschaften, die mit der Liste verknüpft werden sollen. Der Name der benutzerdefinierten Eigenschaft ist der Schlüssel, der Wert ist der Wert.

filterBranch
OR · object

Filterverzweigungsobjekt mit Filterkriterien für die Liste

listFolderId
integer<int32>

Die ID des Ordners, in dem die Liste erstellt werden soll. Wenn keine Angabe, wird die Liste im Stammordner der Listenordnerstruktur erstellt.

listPermissions
object
membershipSettings
object

Antwort

successful operation

list
object
erforderlich
Last modified on May 26, 2026